Author Topic: Can't Do Anything With Apt  (Read 231 times)

0 Members and 1 Guest are viewing this topic.

Offline ujjwal

  • Newly Subscribed
  • *
  • Posts: 9
  • Karma: 3
  • New To PeppermintOS
    • View Profile
  • Peppermint version(s): 6
Can't Do Anything With Apt
« on: May 11, 2020, 07:46:33 am »
Hi,

I had attempted to install google-earth-pro from .deb file.  I think the installation broke. Now, when I run sudo apt-get update, it gives me an error-

"google-earth-pro needs to be reinstalled but I can't find the archive".

I can't run any apt command. What can I do here?

P.S. I am on peppermint 6

Online Slim.Fatz

  • Global Moderator
  • Veteran
  • *****
  • Posts: 2199
  • Karma: 593
  • Where's the mouse?
    • View Profile
  • Peppermint version(s): Peppermint 7, 8.5 & 10 - 64bit
Re: Can't Do Anything With Apt
« Reply #1 on: May 11, 2020, 08:52:13 am »
Hi ujjwal,

I assume that you downloaded the .deb file -- is this correct? If so: Do you still have the original .deb file that you downloaded or did you delete it? Was the version you selected 7.3 ?? If so, then perhaps that is too recent for Peppermint Six (which is no longer supported) and you need to try a previous version of google-earth-pro.

Regards,

-- Slim
"Life first -- Peppermint a close 2nd!" -- Zeb

Tread lightly: Fluxbox, JWM, i3, Openbox, awesome

Online spence

  • Administrator
  • Hero
  • *****
  • Posts: 2658
  • Karma: 323
  • peppermint user since 2010
    • View Profile
  • Peppermint version(s): PMVIII, PMIX, PMX Respins
Re: Can't Do Anything With Apt
« Reply #2 on: May 11, 2020, 10:35:31 am »
P.S. I am on peppermint 6

Peppermint 6 is not only EOL (End Of Life) support & update wise, It also retains some severe Meltdown & Spectre vulnerabilites. It is imperative that you move to a newer version of peppermint. If PM6 runs on your hardware, its quite likely PM10 will as well.

Due to our team's small size, we cannot provide support for Peppermint 1-6 as they are all EOL
« Last Edit: May 11, 2020, 10:49:13 am by spence »
spence
PeppermintOS 8,9 & 10 Respins currently installed  on:
'16 Antec Aria rebuild
PMX Respin on '18 Asus VivoBook


Do not despair, grasshopper...
    with patience all will be revealed...
       Through pain, enlightenment will come.

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 3972
  • Karma: 362
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Can't Do Anything With Apt
« Reply #3 on: May 11, 2020, 10:49:48 am »
And its default kernel isn't any good either! :o

https://forum.peppermintos.com/index.php/topic,6450.0.html

If one is determined to use the LXDE desktop environment, Lubuntu LTS 18.04 is fully supported to April 2021 -- though you'd probably be able to get by to 2023 because it should continue to receive security updates.  I've tried Lubuntu 18.04 LTS, and it's good, but Peppermint 10 Respin is outstanding, and even easier to configure than Lubuntu 18.04. ;)
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Online Slim.Fatz

  • Global Moderator
  • Veteran
  • *****
  • Posts: 2199
  • Karma: 593
  • Where's the mouse?
    • View Profile
  • Peppermint version(s): Peppermint 7, 8.5 & 10 - 64bit
Re: Can't Do Anything With Apt
« Reply #4 on: May 11, 2020, 12:50:08 pm »
Given that ujjwal has reminded us that the limit for data that can be downloaded is very low, it might be best for ujjwal to look around for mail-order linux distros that are either on DVDs or FlashDrive sticks and can be delivered without any downloading required.  ;)


Regards,

-- Slim
"Life first -- Peppermint a close 2nd!" -- Zeb

Tread lightly: Fluxbox, JWM, i3, Openbox, awesome

Online spence

  • Administrator
  • Hero
  • *****
  • Posts: 2658
  • Karma: 323
  • peppermint user since 2010
    • View Profile
  • Peppermint version(s): PMVIII, PMIX, PMX Respins
Re: Can't Do Anything With Apt
« Reply #5 on: May 11, 2020, 02:13:23 pm »
We don't know what the #quarantine situation is in the OP's hometown.

Once the OP is able to move about, might best ask a friend or colleague to download a newer version for him...
spence
PeppermintOS 8,9 & 10 Respins currently installed  on:
'16 Antec Aria rebuild
PMX Respin on '18 Asus VivoBook


Do not despair, grasshopper...
    with patience all will be revealed...
       Through pain, enlightenment will come.

Offline rayzer

  • Trusted User
  • Member
  • *****
  • Posts: 276
  • Karma: 115
  • Graphics n Stuff
    • View Profile
  • Peppermint version(s): 10 Respin
Re: Can't Do Anything With Apt
« Reply #6 on: May 11, 2020, 05:33:18 pm »
might be worth his while going somewhere public with free wifi and use their connection to download the iso and copy it to a usb stick. coffee shop, fast food place or library for example.. not an ideal situation but might work, ive done it myself a few times
For wallpapers ive made you can download them here

Offline ujjwal

  • Newly Subscribed
  • *
  • Posts: 9
  • Karma: 3
  • New To PeppermintOS
    • View Profile
  • Peppermint version(s): 6
Re: Can't Do Anything With Apt
« Reply #7 on: May 21, 2020, 02:14:03 pm »
I apologize for my delayed response. My UPS malfunctioned so I couldn't use my desktop safely (unpredictable power cuts). My laptop's wifi adapter also blew up. And given the market shutdown I was unable to get anything fixed. I decided to reply via my phone.

@Slim Fatz I still have the .deb file. But I don't have to have Google earth. I just wish to get control of apt again. Besides that, I only do word processing and internet surfing. I am not motivated  to upgrade when version 6 works fine. It does everything I need already.

Online spence

  • Administrator
  • Hero
  • *****
  • Posts: 2658
  • Karma: 323
  • peppermint user since 2010
    • View Profile
  • Peppermint version(s): PMVIII, PMIX, PMX Respins
Re: Can't Do Anything With Apt
« Reply #8 on: May 21, 2020, 02:57:50 pm »
I apologize for my delayed response. My UPS malfunctioned so I couldn't use my desktop safely (unpredictable power cuts). My laptop's wifi adapter also blew up. And given the market shutdown I was unable to get anything fixed. I decided to reply via my phone.

Apologies aren't necessary... we're all here whenever you are able to get back to us, the world is strange of late.


Quote from: ujjwal
@Slim Fatz I still have the .deb file. But I don't have to have Google earth. I just wish to get control of apt again. Besides that, I only do word processing and internet surfing. I am not motivated  to upgrade when version 6 works fine. It does everything I need already.

We well understand that folks don't really want to upgrade when their systems work. Pep6 is EOL and no longer receiving updates. Thus the kernel you are now working with is particularly vulnerable to the meltdown & spectre vulnerabilities... please search on those terms if you are unfamiliar. Make sure you have solid back ups of everything you can't afford to lose. We do urge you to find some other avenue of downloading a newer version of PeppermintOS as soon as you are safely able to do so.   


 ;)
spence
PeppermintOS 8,9 & 10 Respins currently installed  on:
'16 Antec Aria rebuild
PMX Respin on '18 Asus VivoBook


Do not despair, grasshopper...
    with patience all will be revealed...
       Through pain, enlightenment will come.